Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 720804 - dev-python/ndg-httpsclient-0.5.1: fails tests with libfaketime sandbox interaction (segfault)
Summary: dev-python/ndg-httpsclient-0.5.1: fails tests with libfaketime sandbox intera...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Python Gentoo Team
URL:
Whiteboard:
Keywords: TESTFAILURE
Depends on:
Blocks: 710396 720552
  Show dependency tree
 
Reported: 2020-05-03 12:22 UTC by Agostino Sarubbo
Modified: 2020-07-24 18:09 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,15.68 KB, text/plain)
2020-05-03 12:23 UTC, Agostino Sarubbo
Details
build.log (file_720804.txt,42.66 KB, text/plain)
2020-06-09 03:16 UTC, Sam James
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2020-05-03 12:22:54 UTC
This is an auto-filled bug because dev-python/ndg-httpsclient fails tests.
The issue was originally discovered on amd64, but it may be reproducible on other arches as well.
If you think that a different summary clarifies the issue better, feel free to change it.
Attached build log and emerge --info.
Comment 1 Agostino Sarubbo gentoo-dev 2020-05-03 12:23:00 UTC
Created attachment 635834 [details]
build.log

build log and emerge --info
Comment 2 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2020-05-19 16:33:54 UTC
Am I missing something or do system commands such as mkdir segfault on you?
Comment 3 Agostino Sarubbo gentoo-dev 2020-05-20 16:39:02 UTC
mkdir works for me from cli. I am able to emerge everything else that is doing a massive usage of mkdir. I don't know why this issue happened.
Comment 4 Sam James archtester gentoo-dev Security 2020-06-09 03:16:00 UTC
Created attachment 644042 [details]
build.log

On arm64, segfaults on a different line.

Tests pass outside of sandbox:
FAKETIME="@2019-12-01 12:00:00" LD_PRELOAD="libfaketime.so" python -m unittest discover -v
Comment 5 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2020-06-09 07:12:42 UTC
Could you try removing libfaketime and trying again?
Comment 6 Larry the Git Cow gentoo-dev 2020-07-24 17:09:12 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c6013fbfc0e43ab9a79cf9e7854fb8779f367291

commit c6013fbfc0e43ab9a79cf9e7854fb8779f367291
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2020-07-24 16:32:17 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2020-07-24 17:09:07 +0000

    dev-python/ndg-httpsclient: fix tests with upstream patch
    
    This isn't an ideal fix. The problem was that upstream's
    bundled certs had expired. Now we have a newer set provided and
    the necessary keys.
    
    We may want to use the keys to generate our own certificates
    if upstream are inactive in future.
    
    Note that we drop the libfaketime dependency because:
    1) it's no longer necessary;
    2) it was causing segfaults in Portage's sandbox sometimes.
    
    Closes: https://bugs.gentoo.org/720804
    Package-Manager: Portage-3.0.0, Repoman-2.3.23
    Signed-off-by: Sam James <sam@gentoo.org>

 ...ndg-httpsclient-0.5.1-expiration-test-fix.patch | 277 +++++++++++++++++++++
 .../ndg-httpsclient/ndg-httpsclient-0.5.1.ebuild   |   9 +-
 2 files changed, 281 insertions(+), 5 deletions(-)